SFML - Simple and Fast Multimedia Library

SFML 3.1.0
Loading...
Searching...
No Matches
Public Attributes | List of all members
sf::Sftp::Attributes Struct Reference

File or directory attributes. More...

`#include <SFML/Network/Sftp.hpp>`

## Public Attributes
std::filesystem::path | path
| Path to the entry.
std::optional< std::filesystem::file_type > | type
| Type of the entry.
std::optional< std::uint64_t > | size
| Size of the entry.
std::optional< std::filesystem::perms > | permissions
| Permissions.
std::optional< std::uint64_t > | userId
| Owner user ID.
std::optional< std::uint64_t > | groupId
| Group ID.
std::optional< std::filesystem::file_time_type > | accessTime
| Last access time.
std::optional< std::filesystem::file_time_type > | modificationTime
| Last modification time.

## Detailed Description

File or directory attributes.

Definition at line 226 of file Sftp.hpp.

## Member Data Documentation

## ◆ accessTime

std::optional<std::filesystem::file_time_type> sf::Sftp::Attributes::accessTime

Last access time.

Definition at line 234 of file Sftp.hpp.

## ◆ groupId

std::optional<std::uint64_t> sf::Sftp::Attributes::groupId

Group ID.

Definition at line 233 of file Sftp.hpp.

## ◆ modificationTime

std::optional<std::filesystem::file_time_type> sf::Sftp::Attributes::modificationTime

Last modification time.

Definition at line 235 of file Sftp.hpp.

## ◆ path

std::filesystem::path sf::Sftp::Attributes::path

Path to the entry.

Definition at line 228 of file Sftp.hpp.

## ◆ permissions

std::optional<std::filesystem::perms> sf::Sftp::Attributes::permissions

Permissions.

Definition at line 231 of file Sftp.hpp.

## ◆ size

std::optional<std::uint64_t> sf::Sftp::Attributes::size

Size of the entry.

Definition at line 230 of file Sftp.hpp.

## ◆ type

std::optional<std::filesystem::file_type> sf::Sftp::Attributes::type

Type of the entry.

Definition at line 229 of file Sftp.hpp.

## ◆ userId

std::optional<std::uint64_t> sf::Sftp::Attributes::userId

Owner user ID.

Definition at line 232 of file Sftp.hpp.

The documentation for this struct was generated from the following file:

- Sftp.hpp